# xtandard

xtandard -- Xolatile-style "header-only" library for commonly used functions.

- Purpose of this library is to replace < stdio, stdlib, unistd, fcntl, ctype, string... .h >. (:
- Intended usage is writing simple programs, which can fit it one source file, often only in 'main' function.
- Of course, it uses some global variables, be careful with naming your variables, and avoid C-style "namespaces", they're bad.
- Everything related to my libraries is clean of all warning options on Clang, GCC and Valgrind.

Compile:
```bash
$ sh compile.sh
```

Install:
```bash
$ sudo sh install.sh
```

Xolatile-style "header-only" library is my take on 'stb' header-only libraries. There are a lot of ideas that came from Ada, which is my second language.
Main idea behind them is to avoid standard library and macros in programs. Also, I like to avoid C-style "namespaces" and bad function names...

This is the core library behind my other libraries such as xector, xatrix, xyntax, xurses, xender, xame...
